uuid: 0f00b11d-d4a7-4b96-b7bf-60bff2b7afe6
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_paragraph_vocab_assets
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: drupal_7_paragraphs
label: 'Media by Vocab Terms'
source:
  plugin: d7_nar_paragraphs_item
  bundle: vocab_assets
process:
  id:
    -
      plugin: get
      source: item_id
  revision_id:
    -
      plugin: get
      source: revision_id
  type:
    -
      plugin: d7_paragraph_type
      source: bundle
  parent_field_name:
    -
      plugin: d7_paragraph_parent_type
      source: field_name
  parent_id:
    -
      plugin: d7_paragraph_parent_id
      source: field_parent
  parent_type:
    -
      plugin: d7_paragraph_parent_bundle
      source: field_name
  created:
    -
      plugin: get
      source: created
  changed:
    -
      plugin: get
      source: changed
  field_paragraph_admin_label:
    -
      plugin: get
      source: field_paragraph_admin_label
  field_only_same_group:
    -
      plugin: get
      source: field_only_group_content
  field_title:
    -
      plugin: get
      source: field_optional_title
  field_vocabulary:
    -
      plugin: get
      source: field_vocabulary
destination:
  plugin: 'entity:paragraph'
migration_dependencies:
  required: {  }
  optional: {  }
